/*
 * Copyright 2017 Google
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#import "FirebaseMessaging/Sources/FIRMessagingConstants.h"

NSString *const kFIRMessagingFromKey = @"from";

NSString *const kFIRMessagingMessageIDKey = @"gcm."
                                            @"message_id";
NSString *const kFIRMessagingMessageAPNSContentAvailableKey = @"content-available";
NSString *const kFIRMessagingMessageSyncMessageTTLKey = @"gcm."
                                                        @"ttl";
NSString *const kFIRMessagingMessageLinkKey = @"gcm."
                                              @"app_link";

NSString *const kFIRMessagingRemoteNotificationsProxyEnabledInfoPlistKey =
    @"FirebaseAppDelegateProxyEnabled";

NSString *const kFIRMessagingSubDirectoryName = @"Google/FirebaseMessaging";

// Notifications
NSString *const kFIRMessagingCheckinFetchedNotification = @"com.google.gcm.notif-checkin-fetched";
NSString *const kFIRMessagingAPNSTokenNotification = @"com.firebase.iid.notif.apns-token";
NSString *const kFIRMessagingRegistrationTokenRefreshNotification =
    @"com.firebase.iid.notif.refresh-token";
